Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 30481)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 30532)
@@ -414,5 +414,5 @@
             communeList[i + 1] = listOfCommunes.elementAt(i).substring(listOfCommunes.elementAt(i).indexOf(">")+1);
         }
-        JComboBox inputCommuneList = new JComboBox(communeList);
+        JComboBox<String> inputCommuneList = new JComboBox<>(communeList);
         p.add(inputCommuneList, GBC.eol().fill(GBC.HORIZONTAL).insets(10, 0, 0, 0));
         JOptionPane pane = new JOptionPane(p, JOptionPane.INFORMATION_MESSAGE, JOptionPane.OK_CANCEL_OPTION, null) {
@@ -432,9 +432,9 @@
     private int selectFeuilleDialog() {
         JPanel p = new JPanel(new GridBagLayout());
-        Vector<String> ImageNames = new Vector<String>();
+        Vector<String> imageNames = new Vector<String>();
         for (PlanImage src : listOfFeuilles) {
-            ImageNames.add(src.name);
-        }
-        JComboBox inputFeuilleList = new JComboBox(ImageNames);
+            imageNames.add(src.name);
+        }
+        JComboBox<String> inputFeuilleList = new JComboBox<>(imageNames);
         p.add(inputFeuilleList, GBC.eol().fill(GBC.HORIZONTAL).insets(10, 0, 0, 0));
         JOptionPane pane = new JOptionPane(p, JOptionPane.INFORMATION_MESSAGE, JOptionPane.OK_CANCEL_OPTION, null);
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 30481)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 30532)
@@ -37,5 +37,5 @@
     private JCheckBox drawBoundaries = new JCheckBox(tr("Draw boundaries of downloaded data."));
 
-    private JComboBox imageInterpolationMethod = new JComboBox();
+    private JComboBox<String> imageInterpolationMethod = new JComboBox<>();
 
     private JCheckBox disableImageCropping = new JCheckBox(tr("Disable image cropping during georeferencing."));
@@ -95,4 +95,7 @@
     static final String DEFAULT_GRAB_MULTIPLIER = Scale.SQUARE_100M.value;
 
+    /**
+     * Constructs a new {@code CadastrePreferenceSetting}.
+     */
     public CadastrePreferenceSetting() {
         super("cadastrewms.gif", I18n.tr("French cadastre WMS"),
@@ -104,5 +107,4 @@
         );
     }
-
 
     public void addGui(final PreferenceTabbedPane gui) {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 30481)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 30532)
@@ -32,6 +32,4 @@
 public class CheckSourceUploadHook implements UploadHook
 {
-    /** Serializable ID */
-    private static final long serialVersionUID = -1;
 
     /**
@@ -82,5 +80,5 @@
             JTextField tf = new JTextField(CadastrePlugin.source);
             p.add(tf, GBC.eol());
-            JList l = new JList(sel.toArray());
+            JList<OsmPrimitive> l = new JList<>(sel.toArray(new OsmPrimitive[0]));
             l.setCellRenderer(renderer);
             l.setVisibleRowCount(l.getModel().getSize() < 6 ? l.getModel().getSize() : 10);
@@ -91,6 +89,4 @@
                 Main.main.undoRedo.add(new ChangePropertyCommand(sel, "source", tf.getText()));
         }
-
     }
 }
-
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 30481)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 30532)
@@ -69,5 +69,5 @@
                 + "Use the syntax and punctuation known by www.cadastre.gouv.fr .</html>"));
         JLabel labelDepartement =  new JLabel(tr("Departement"));
-        final JComboBox inputDepartement = new JComboBox();
+        final JComboBox<String> inputDepartement = new JComboBox<>();
         for (int i=1; i<departements.length; i+=2) {
             inputDepartement.addItem(departements[i]);
